<script setup lang="ts">
import { onMounted, ref } from 'vue';

import AdminTools from './components/AdminTools.vue';

const game_state = ref({players:[{name:"", points:0}], end_time: 0});
const WEBSOCKET_URL = "ws://127.0.0.1:3030/socket";

onMounted(() => {
  let ws = new WebSocket(WEBSOCKET_URL);


  ws.addEventListener("message", (event) => {
    console.log(event)


    let parseable = event.data.split(/:(.*)/s)
  

    switch (parseable[0]) {
      case "state":
        let buffer = JSON.parse(parseable[1]);

        buffer.players = (buffer.players as Array<any>).sort((a, b) => 
          a.points > b.points ? -1 : 1
        )

        game_state.value = buffer;
     }
  })


  ws.addEventListener("open", () => {
    ws.send("get_state");
  })
})

// ws.send("get_state");
</script>

<template>
  <div class="bg-[#121210] text-[#afadae] h-screen w-screen box-border flex justify-center">
    <div class="w-9/12 flex-col pt-8">
      <h1 class="text-center text-6xl mb-8">Elden Race</h1>
      <AdminTools/>
    </div>
  </div>
</template>

<style>

* {
  font-family: "garamond-premier-pro";
}

.text-shadow-custom {
  text-shadow: 4px 2px 4px rgba(0,0,0,0.8); 
}


hr {
    background-image: linear-gradient(-90deg, transparent, #afadae 50%, transparent);
    
    border: 0;
    height: 1px;
}

.slide-move {
  transition: transform 0.5s cubic-bezier(0,.96,.74,1.01);
}


</style>
